INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'add_ons_enabled', 'true', 'java.lang.Boolean', 'Show add-ons menu');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'api_key_validity_days', '30', 'java.lang.Integer', 'Validity in days for newly generated API keys');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'application_admin_email', '{{{evs.admin.email}}}', 'java.lang.String', 'Contact of the person responsible for the application');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'application_admin_name', '{{{evs.admin.name}}}', 'java.lang.String', 'Person responsible for the application');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'application_admin_title', '{{{evs.admin.title}}}', 'java.lang.String', 'Admin Title');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'application_database_initialization_flag', 'database_successfully_initialized', 'java.lang.String', 'Indicates that the DB has been initialized');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'application_gazelle_documentation_url', 'https://gazelle.ihe.net/content/user-manual', 'java.lang.String', 'EVS Client documentation URL');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'application_gazelle_release_notes_url', 'https://gazelle.ihe.net/gazelle-documentation/EVS-Client/release-note.html', 'java.lang.String','Gazelle Release Notes URL - Used by some links in the application to detail each Gazelle Release : improvements, bug fixed');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'application_issue_tracker_url', 'https://gazelle.ihe.net/jira/projects/EVSCLT', 'java.lang.String', 'URL of the project in the issue tracking system');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'application_name', 'External Validation Service Front-end', 'java.lang.String', 'Application Name');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'application_url_basename', '{{{evs.path}}}', 'java.lang.String', 'URL basename used to reach the application');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'application_url', '{{{evs.host}}}/{{{evs.path}}}', 'java.lang.String', 'URL to reach the tool');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'assertion_manager_url', '{{{evs.host}}}/AssertionManagerGui', 'java.lang.String', 'URL to access Assertion Manager');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'ATNA_file_types', 'xml, XML, syslog, log, txt, TXT, log', 'java.lang.String', 'Files extensions that can be used for ATNA Audit message Validation');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'atna_repository', '{{{gazelle.home}}}/validatedObjects/ATNA', 'java.lang.String', 'Where to store ATNA messages');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'Cache-Control', 'private, no-cache, no-store, must-revalidate, max-age=0', 'java.lang.String', 'Application should return caching directives instructing browsers not to store local copies of any sensitive data.');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'cas_enabled', '{{{cas.enabled}}}', 'java.lang.Boolean', 'Indicates authentication mechanism to use');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'cas_url', '{{{cas.url}}}', 'java.lang.String', 'URL of the CAS service');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'CDA_file_types', 'xml, XML, cda, CDA, txt, TXT, log', 'java.lang.String', 'Files extensions that can be used for CDA Document Validation');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'cda_repository', '{{{gazelle.home}}}/validatedObjects/CDA', 'java.lang.String', 'Where to store CDA documents');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'cda_validator_app_url', '{{{gazelle.home}}}/CDAGenerator', 'java.lang.String', 'URL of the CDA ObjectsChecker application');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'check_CDA_PIDs_script_localization', 'http://localhost/ruleScript.js', 'java.lang.String','URL where the script with the different CDA rules are stored');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'check_CDA_PIDs', 'false', 'java.lang.Boolean','Execute script to check patient id before the document upload on the server');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'default_dsig_validator_name', 'Digital Signature Validator', 'java.lang.String','Name of the validator offered by XMLSignatureValidator to be used for validating embedded signatures');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'default_repository', '{{{gazelle.home}}}/validatedObjects/DEFAULT', 'java.lang.String','Where to store DEFAULT files');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'DEFAULT_file_types', 'xml, XML, hl7, HL7, hl7v3, HL7V3, HL7v3, txt, TXT, log, json, dsub, DSUB, dcm, DCM, bin, syslog, saml, SAML, svs, SVS, pem, txt, PEM, CRT, crt, xdw, XDW, pdf, PDF, csv, CSV', 'java.lang.String','FFiles extensions that can be used for default validation');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'DICOM_file_types', 'dcm, DCM, bin', 'java.lang.String','Files extensions that can be used for DICOM Validation');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'dicom_repository', '{{{gazelle.home}}}/validatedObjects/DICOM', 'java.lang.String', 'Where to store DICOM files');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'dicom_scp_screener_xsl', 'dicom/TestDicomResults.xsl', 'java.lang.String', 'XSL used to display Dicom SCP Screener results');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'display_SCHEMATRON_menu', 'false', 'java.lang.String', 'Indicates if we need a link to the list of schematrons for download');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'DSUB_file_types', 'xml, XML, dsub, DSUB, txt, TXT, log', 'java.lang.String', 'Files extensions that can be used for DSUB Document Validation');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'dsub_repository', '{{{gazelle.home}}}/validatedObjects/DSUB', 'java.lang.String', 'Where to store DSUB files');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'enable_dsig_validation', 'true', 'java.lang.Boolean','Set to true if the tool shall detect and validate Digital signatures in XML documents');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'epsos_repository_codes', '{{{gazelle.home}}}/bin/EpsosRepository', 'java.lang.String', 'path to epsos codes for epsos-cda-display-tool');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'FHIR_file_types', 'xml,json,txt', 'java.lang.String', 'Extensions allowed for uploaded files');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'fhir_repository', '{{{gazelle.home}}}/validatedObjects/FHIR', 'java.lang.String','Where to store FHIR resources');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'gazelle_hl7v2_validator_url', '{{{gazelle.validators.root}}}/GazelleHL7Validator', 'java.lang.String', 'Path to Gazelle HL7 Validator');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'gazelle_home_path', '{{{gazelle.home}}}', 'java.lang.String', 'Absolute path to Gazelle home. Here is where are stored generated datas, reports and other required binaries for application');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'hl7v2_datatype_fault_level', 'ERROR', 'java.lang.String', 'How to report errors on datatype');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'HL7v2_file_types', 'xml, XML, hl7, HL7, hl7v2, txt, TXT, log, er7','java.lang.String', 'Files extensions that can be used for HL7v2 Document Validation');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'hl7v2_length_fault_level', 'ERROR', 'java.lang.String', 'How to report errors on length');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'hl7v2_repository', '{{{gazelle.home}}}/validatedObjects/HL7V2', 'java.lang.String', 'Where to store HL7V2 messages');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'hl7v2_structure_fault_level', 'ERROR', 'java.lang.String', 'How to report errors on structure');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'hl7v2_value_fault_level', 'ERROR', 'java.lang.String', 'How to report errors on value');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'HL7v3_file_types', 'xml, XML, hl7, HL7, hl7v3, HL7V3, HL7v3, txt, TXT, log','java.lang.String', 'Files extensions that can be used for DSUB Document Validation');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'hl7v3_repository', '{{{gazelle.home}}}/validatedObjects/HL7v3', 'java.lang.String', 'Where to store HL7v3 messages');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'HPD_file_types', 'xml, XML, hpd, HPD, txt, TXT, log', 'java.lang.String','Files extensions that can be used for HPD Validation');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'hpd_repository', '{{{gazelle.home}}}/validatedObjects/HPD', 'java.lang.String', 'Where to store HPD messages');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'include_country_statistics', 'true', 'java.lang.Boolean', 'Authorize or not the application to query geoip to retrieve the countries the users are from');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'ip_login_admin', '.*', 'java.lang.String', 'Pattern to grant users as admin based on their IP address');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'ip_login', 'true', 'java.lang.Boolean', 'Indicates authentication mechanism to use');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'legacy_results_redirection_enabled', 'false', 'java.lang.Boolean', 'Enable/Disable EVS Connector requests to be dispatched towards a Legacy EVS 5.x.x if a validation result is not found in this EVS instance');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'legacy_results_evs_url', 'http://localhost/EVSClient/', 'java.lang.String', 'URL of the EVS 5.x.x that keep legacy validation results');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'mca_enable_decoded_storage', 'false', 'java.lang.Boolean', 'Enables the storage of decoded analysis parts ');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'mca_tool_oid', 'MCA', 'java.lang.String', 'OID of the calling tool that the MCA will use to access cross validation');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'monitor_email', 'test@test.com', 'java.lang.String', 'Contact of the person who monitors the application');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'NUMBER_OF_ITEMS_PER_PAGE', '20', 'java.lang.String', 'Number of lines in tables');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'number_of_segments_to_display', '40', 'java.lang.Integer', 'Number of segment to display when displaying HL7v2 messages');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'object_for_validator_detector_repository', '{{{gazelle.home}}}/validatedObjects/validatorDetector', 'java.lang.String', 'path to the repository where object for validator_detector are stored');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'path_to_dcmDump', '/usr/bin/dcmdump', 'java.lang.Boolean', 'Path to DcmDump executable on the system hosting the application');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'pdf_repository', '{{{gazelle.home}}}/validatedObjects/PDF', 'java.lang.String', 'Where to store PDF files');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'reports_path', 'reports', 'java.lang.String', 'Path to jasper reports in gazelle home');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'root_oid', '1.2.3', 'java.lang.String', 'Root of the OID used to uniquely identify validation requests');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'SAML_file_types', 'xml, XML, saml, SAML, log', 'java.lang.String', 'Files extensions that can be used for SAML Validation');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'saml_repository', '{{{gazelle.home}}}/validatedObjects/SAML', 'java.lang.String', 'Where to store SAML assertions');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'security-policies', 'false', 'java.lang.Boolean', 'Enable or Disable http security headers');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'show_logs_from_colleagues', 'false', 'java.lang.Boolean','Set to true if you would like users from the same organization to share logs');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'sql_injection_filter_switch', 'false', 'java.lang.Boolean', 'Enable or Disable Sql Injection filter');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'smtp_host', 'localhost', 'java.lang.String', 'SMTP Host for sending emails');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'smtp_password', 'password', 'java.lang.String', 'SMTP Password for sending emails');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'smtp_port', '25', 'java.lang.Integer', 'SMTP Port for sending emails');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'smtp_username', 'username', 'java.lang.String', 'SMTP Username for sending emails');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'Strict-Transport-Security', 'max-age=31536000 ; includeSubDomains', 'java.lang.String', 'is a security feature that lets a web site tell browsers that it should only be communicated with using HTTPS, instead of using HTTP');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'SVS_file_types', 'xml, XML, svs, SVS, txt, TXT, log', 'java.lang.String','Files extensions that can be used for HPD Validation');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'svs_repository_url', '{{{evs.host}}}', 'java.lang.String', 'Default SVS repository for X validation');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'svs_repository', '{{{gazelle.home}}}/validatedObjects/SVS', 'java.lang.String', 'Where to store SVS messages');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'templates_scanned', 'true', 'java.lang.Boolean', 'Scan templates when CDA file is validated');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'time_zone', 'Europe/Paris', 'java.lang.String', 'Time zone to display time to users');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'tls_repository', '{{{gazelle.home}}}/validatedObjects/TLS', 'java.lang.String', 'Where to store certificates');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'use_specific_smtp', 'false', 'java.lang.Boolean', 'If true will use information from smtp_host, smtp_usernamen and smtp_password. Otherwize will use localhost on port 25  ');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'user_need_to_be_logged_in', 'false', 'java.lang.Boolean','Set to true if you would like users to be logged in to access validators and logs');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'validation_timeout', '60000', 'java.lang.String','used as the timeout after calling an MBVAl validator');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'x_validation_editor', 'true', 'java.lang.Boolean', 'Whether to enable or not the editor feature of X Validation module');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'x_validation_enabled', 'true', 'java.lang.Boolean', 'Indicates if the X validation module is enabled');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'add_on_x_validation_enabled', 'false', 'java.lang.Boolean', 'Indicates if the X validation module is accessible in add-ons menu');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'x_validation_log_root_oid', '1.3.6.1.4.1.12559.11.1.2.1.4.2.', 'java.lang.String', 'Root OID for X Validation reports');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'x_validation_report_xsl_url','{{{gazelle.xsl.root}}}/EVSClient/xValidation/report-mini.xsl', 'java.lang.String', 'XSL URL for x validation report');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'x_validation_validator', 'true', 'java.lang.Boolean', 'Whether to enable or not the validator feature of X Validation module');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'x_validator_root_oid', '1.3.6.1.4.1.12559.11.1.2.1.4.1.', 'java.lang.String','Cross validators root oid');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'X-Content-Security-Policy-Report-Only', 'default-src ', 'java.lang.String', 'Configure X-Content-Security-Policy to establish your policy.''self'' *.ihe.net www.epsos.eu; script-src ''self'' ''unsafe-eval'' ''unsafe-inline''; style-src ''self'' ''unsafe-inline'';');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'X-Content-Security-Policy', '', 'java.lang.String', ' is an added layer of security that helps to detect and mitigate certain types of attacks, including Cross Site Scripting (XSS) and data injection attacks');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'X-Frame-Options', 'SAMEORIGIN', 'java.lang.String', 'Sites can use this to avoid clickjacking attacks, by ensuring that their content is not embedded into other sites');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'X-WebKit-CSP-Report-Only', 'Use X-Content-Security-Policy-Report-Only values', 'java.lang.String', 'Chrome flag, uses X-Content-Security-Policy-Report-Only values');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'X-WebKit-CSP', 'Use X-Content-Security-Policy values', 'java.lang.String', 'Chrome flag, uses X-Content-Security-Policy values');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'XDS_file_types', 'xml, XML', 'java.lang.String', 'allowed extensions for XDS validator');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'xds_repository', '{{{gazelle.home}}}/validatedObjects/XDS', 'java.lang.String', 'Where to store XDS messages');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'XDW_file_types', 'xml, XML, txt, TXT, log, xdw, XDW', 'java.lang.String', '');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'xdw_repository', '{{{gazelle.home}}}/validatedObjects/XDW', 'java.lang.String', 'Where to store XDW messages');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'XML_file_types', 'xml, XML, txt, TXT, log', 'java.lang.String','Files extensions that can be used for XML Validation');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'xml_repository', '{{{gazelle.home}}}/validatedObjects/XML/', 'java.lang.String', '');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'xvalidator_directory', '{{{gazelle.home}}}/xvalidation', 'java.lang.String', 'Where to store X validation files');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'xvalidator_xsl_url', '{{{gazelle.xsl.root}}}/EVSClient/xValidation/gazelleXValidator.xsl', 'java.lang.String', 'Stylesheet for displaying validators');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'xval_repository', '{{{gazelle.home}}}/validatedObjects/XVAL', 'java.lang.String', 'Where to store X validation files');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'ip_loc_provider', 'net.ihe.gazelle.evsclient.interlay.adapters.statistics.IpGeolocation', 'java.lang.String', 'Qualified name of IpLocProvider implementation class (expert mode only). If empty, ''net.ihe.gazelle.evsclient.interlay.adapters.statistics.IpGeolocation'' will be used.');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'ip_loc_service_configuration', 'https://api.ipgeolocation.io/ipgeo?apiKey=7854d7fe1d7b460980d57fdec5261062&ip={0}', 'java.lang.String', 'Configuration for IP Location Service. On IpGeolocation service, it''s the api url *including* *apikey* (Default is ''https://api.ipgeolocation.io/ipgeo?apiKey=7854d7fe1d7b460980d57fdec5261062&ip={0}'')');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'ip_loc_service_local_country', 'France', 'java.lang.String', 'Default country, in case of local IP or unavailable IP location service. If empty, "France" will be used.');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'ip_loc_validity_period', '7', 'java.lang.String', 'Validity period, in days, of IP Location ; when expired, location validity will be checked again on API call. If empty or less than 1 location will be checked at every EVS API call. Default value is empty.');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'document_pretty_view_mode', 'true', 'java.lang.Boolean', 'Default view mode (when pretty mode exists).');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'document_bin_view_mode_columns', '60', 'java.lang.Integer', 'Number of chars by lines in binary file pretty view.');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'show_uploaded_message', 'false', 'java.lang.Boolean', 'Show uploaded message.');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'mca_part_edit_mode_enabled', 'false', 'java.lang.Boolean', 'Enable edit mode on message content analysis part.');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'mca_force_show_namespaces_status', 'false', 'java.lang.Boolean', 'Show tip when no namespaces where added to an XML part.');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'ws_validation_report_severity_threshold', 'INFO', 'java.lang.String', 'Default severity level to filter validation reports notifications in web-service calls (value can be INFO, WARNING and ERROR). This value can also be modified by web-service clients with the query parameter ''severityThreshold''.');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'link_to_cgu', ' ', 'java.lang.String', 'CGU URL. If empty, cgu link need to be changed to right document URL.');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'PDF_file_types', 'pdf', 'java.lang.String','Files extensions that can be used for PDF Validation');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'DICOM_WEB_file_types', 'txt, url', 'java.lang.String','Files extensions that can be used for PDF Validation');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'dicom_web_repository', '{{{gazelle.home}}}/validatedObjects/DICOM_WEB', 'java.lang.String', 'Where to store DICOM_WEB files');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'TLS_file_types', 'pem, txt, PEM, TXT, CRT, crt', 'java.lang.String', 'Files extensions that can be used for X509 certificate Validation');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'default_dsig_service_wsdl', '{{{gazelle.validators.root}}}/xml-signature-validator-jar/ModelBasedValidationWSService/ModelBasedValidationWS?wsdl', 'java.lang.String','XMLSignature validation service wsdl to be used for validating embedded signatures');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'scorecard_xsl_path', '{{{gazelle.xsl.root}}}/scorecard/cda-scorecard.xsl', 'java.lang.String', 'XSL to transform CDA scorecard');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'show_styled_report', 'true', 'java.lang.Boolean', 'Show styled validation report.');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'show_xml_report', 'true', 'java.lang.Boolean', 'Show validation report XML source.');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'show_uploaded_message_analyzer', 'true', 'java.lang.Boolean', 'Show uploaded message analyzer.');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'analyze_uploaded_message', 'false', 'java.lang.Boolean', 'auto execute analyzer on uploaded message.');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'show_message_analyzer', 'false', 'java.lang.Boolean', 'Show message analyzer in file content section.');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'has_filter_mode', 'true', 'java.lang.Boolean', 'Show xpath node filter in XML tree.');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'concurrent_validation_limit_by_service', '100', 'java.lang.Integer', 'Max number of concurrent validations by service.');
INSERT INTO cmn_application_preference (id, preference_name, preference_value, class_name, description) VALUES (nextval('cmn_application_preference_id_seq'), 'concurrent_validation_limit_by_schematron_service', '10', 'java.lang.Integer', 'Max number of concurrent validations by schematron service.');


INSERT INTO public.evsc_calling_tool (id, label, oid, tool_type, url) VALUES (nextval('evsc_calling_tool_id_seq'), 'Message Content Analyzer', 'MCA', 2, '{{{evs.host}}}/{{{evs.path}}}messageContentAnalyzerDetailedResult.seam?oid=');

--
-- Data for Name: xval_date_format_type; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO public.xval_date_format_type (id, label, "precision", value) VALUES (1, 'WITH_TIMEZONE', 10, 'yyyyMMddHHmmssZZZZZ');
INSERT INTO public.xval_date_format_type (id, label, "precision", value) VALUES (2, 'TO_THE_SECOND', 9, 'yyyyMMddHHmmss');
INSERT INTO public.xval_date_format_type (id, label, "precision", value) VALUES (3, 'TO_THE_MINUTE', 8, 'yyyyMMddHHmm');
INSERT INTO public.xval_date_format_type (id, label, "precision", value) VALUES (4, 'TO_THE_DAY', 7, 'yyyyMMdd');

ALTER SEQUENCE xval_date_format_type_id_seq RESTART WITH 4;

-- Create indexes

CREATE INDEX evsc_processing_oid_index ON evsc_processing(oid);
CREATE INDEX evsc_processing_date_index ON evsc_processing(validation_date);

CREATE INDEX evsc_validation_validation_service_index ON evsc_validation(validation_service);
CREATE INDEX evsc_validation_validator_keyword_index ON evsc_validation(validator_keyword);
CREATE INDEX evsc_validation_status_index ON evsc_validation(status);

CREATE INDEX evsc_owner_metadata_username_index ON evsc_owner_metadata(username);
CREATE INDEX evsc_owner_metadata_organization_index ON evsc_owner_metadata(organization);

CREATE INDEX evsc_caller_metadata_entrypoint_index ON evsc_caller_metadata(entrypoint);

CREATE INDEX cmn_application_preference_preference_name_index ON cmn_application_preference(preference_name);
CREATE INDEX cmn_application_preference_preference_value_index ON cmn_application_preference(preference_value);
CREATE INDEX cmn_application_preference_class_name_index ON cmn_application_preference(class_name);

CREATE INDEX evsc_validation_service_conf_display_name_index ON evsc_validation_service_conf(display_name);
CREATE INDEX evsc_validation_service_conf_validation_type_index ON evsc_validation_service_conf(validation_type);

CREATE INDEX evsc_referenced_standard_display_name_index ON evsc_referenced_standard(display_name);
CREATE INDEX evsc_referenced_standard_validation_type_index ON evsc_referenced_standard(validation_type);
